<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>P-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/HeapNode.html#parent">parent</a></span> - Variable in class LinkedHeapPackage.<a href="../LinkedHeapPackage/HeapNode.html" title="class in LinkedHeapPackage">HeapNode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Score.html#path">path</a></span> - Variable in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>
<div class="block">The path of the rating</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#peek--">peek()</a></span> - Method in class StackPackage.<a href="../StackPackage/LinkedStack.html" title="class in StackPackage">LinkedStack</a></dt>
<dd>
<div class="block">Returns a reference to the element at the top of this stack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/StackADT.html#peek--">peek()</a></span> - Method in interface StackPackage.<a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a></dt>
<dd>
<div class="block">Returns without removing the top element of this stack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Score.html#playerName">playerName</a></span> - Variable in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>
<div class="block">Player name</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#pop--">pop()</a></span> - Method in class StackPackage.<a href="../StackPackage/LinkedStack.html" title="class in StackPackage">LinkedStack</a></dt>
<dd>
<div class="block">Removes the element at the top of this stack and returns a reference to
 it.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/StackADT.html#pop--">pop()</a></span> - Method in interface StackPackage.<a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a></dt>
<dd>
<div class="block">Removes and returns the top element from this stack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#postorder-LinkedHeapPackage.BinaryTreeNode-ArrayListPackage.ArrayUnorderedList-">postorder(BinaryTreeNode&lt;T&gt;, ArrayUnorderedList&lt;T&gt;)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs a recursive postorder traversal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#preorder-LinkedHeapPackage.BinaryTreeNode-ArrayListPackage.ArrayUnorderedList-">preorder(BinaryTreeNode&lt;T&gt;, ArrayUnorderedList&lt;T&gt;)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs a recursive preorder traversal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#push-T-">push(T)</a></span> - Method in class StackPackage.<a href="../StackPackage/LinkedStack.html" title="class in StackPackage">LinkedStack</a></dt>
<dd>
<div class="block">Adds the specified element to the top of this stack, expanding the the
 count variable.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/StackADT.html#push-T-">push(T)</a></span> - Method in interface StackPackage.<a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a></dt>
<dd>
<div class="block">Adds one element to the top of this stack.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
